function formatTime(date) {
  var year = date.getFullYear()
  var month = date.getMonth() + 1
  var day = date.getDate()

  var hour = date.getHours()
  var minute = date.getMinutes()
  var second = date.getSeconds()


  return [year, month, day].map(formatNumber).join('-') + ' ' + [hour, minute, second].map(formatNumber).join(':')
}

function formatNumber(n) {
  n = n.toString()
  return n[1] ? n : '0' + n
}

function changeCup(e) {
  // e== 1正面，2背面，3手柄，4杯底
  let dataPositionObj = null,
    propSize = null;
  switch (e) {
    case '1':
      // console.log('正面')
      dataPositionObj = { // 正面数据
        top: 42,
        left: 256,
        width: 334,
        height: 450
      };
      propSize = {
        top: '6cm',
        right: '9.5cm',
        bottom: '6cm',
        left: '9.5cm',
      };
      break;
    case '2':
      dataPositionObj = { // 侧面数据
        top: 42,
        left: 154,
        width: 334,
        height: 450
      };
      propSize = {
        top: '6cm',
        right: '9.5cm',
        bottom: '6cm',
        left: '9.5cm',
      };
      // console.log('背面');
      break;
    case '3':
      dataPositionObj = { // 手柄数据
        top: 172,
        left: 346,
        width: 70,
        height: 246
      };
      propSize = {
        top: '1cm',
        right: '5cm',
        bottom: '1cm',
        left: '5cm',
      };
      // console.log('手柄');
      break;
    case '4':
      dataPositionObj = { // 正面数据
        top: 138,
        left: 178,
        width: 304,
        height: 304
      };
      propSize = {
        top: '5cm',
        right: '5cm',
        bottom: '5cm',
        left: '5cm',
      };
      // console.log('杯底');
      break;
    case '5': //表示是箱子
      dataPositionObj = { // 正面数据
        top: 74,
        left: 104,
        width: 536,
        height: 712
      };
      propSize = {
        top: '',
        right: '',
        bottom: '',
        left: '',
      };
      // console.log('杯底');
      break;
    case '6': //表示是箱子
      dataPositionObj = { // 正面数据
        top: 128,
        left: 109,
        width: 534,
        height: 654
      };
      propSize = {
        top: '',
        right: '',
        bottom: '',
        left: '',
      };
      break;
    case '7': //表示是箱子
      dataPositionObj = { // 正面数据
        top: 74,
        left: 104,
        width: 536,
        height: 712
      };
      propSize = {
        top: '',
        right: '',
        bottom: '',
        left: '',
      };
      // console.log('杯底');
      break;
    case '8': //表示是箱子
      dataPositionObj = { // 正面数据
        top: 128,
        left: 109,
        width: 534,
        height: 654
      };
      propSize = {
        top: '',
        right: '',
        bottom: '',
        left: '',
      };
      break;
    case '9': //黑色T恤
      dataPositionObj = {
        top: 254,
        left: 204,
        width: 368,
        height: 440
      };
      propSize = {
        top: '',
        right: '',
        bottom: '',
        left: '',
      };
      break;
    case '10': //红色T恤
      dataPositionObj = {
        top: 254,
        left: 204,
        width: 368,
        height: 440
      };
      propSize = {
        top: '',
        right: '',
        bottom: '',
        left: '',
      };
      break;
    case '11': //白色杯子
      dataPositionObj = {
        top: 310,
        left: 274,
        width: 210,
        height: 464
      };
      propSize = {
        top: '',
        right: '',
        bottom: '',
        left: '',
      };
      break;
    case '12': //黑色杯子
      dataPositionObj = {
        top: 244,
        left: 274,
        width: 202,
        height: 528
      };
      propSize = {
        top: '',
        right: '',
        bottom: '',
        left: '',
      };
      break;
    default:
      break;

  }

  return {
    dataPositionObj: dataPositionObj,
    propSize: propSize
  }


}
let uploadLocation = {
  '1': '正面',
  '2': '反面',
  '3': '左侧',
  '4': '右侧',
  '5': '顶部',
  '6': '底部'
}
let url = 'https://dlz.info666.com';
let changeImg = {
  '5': url + '/temp/box_silvery1.png', //银色箱子正面
  '5_1': url + '/temp/box_silvery1_1.png', //银色箱子正面镂空
  '5_2': url + '/temp/box_silvery1_2.png', //银色箱子正面
  '6': url + '/temp/box_silvery2.png', //银色箱子反面
  '6_1': url + '/temp/box_silvery2_1.png', //银色箱子镂空
  '6_2': url + '/temp/box_silvery2_2.png', //银色箱子
  '7': url + '/temp/box_white1.png', //白色箱子正面
  '7_1': url + '/temp/box_white1_1.png', //白色箱子正面有颜色镂空
  '7_2': url + '/temp/box_white1_2.png', //白色箱子正面镂空无颜色
  '8': url + '/temp/box_white2.png', //白色箱子反面
  '8_1': url + '/temp/box_white2_1.png', //白色箱子镂空
  '8_2': url + '/temp/box_white2_2.png', //白色箱子镂空无颜色

  '9': url + '/temp/shirt1.png', //黑色T恤
  '9_1': url + '/temp/shirt1_1.png', //黑色T恤镂空
  '9_2': url + '/temp/shirt1_2.png', //黑色T恤
  '10': url + '/temp/shirt2.png', //红色T恤
  '10_1': url + '//temp/shirt2_1.png', //红色T恤镂空
  '10_2': url + '/temp/shirt2_2.png', //红色T恤
  '11': url + '/temp/cup1.png', //白色杯子
  '11_1': url + '/temp/cup1_1.png', //白色杯子镂空
  '11_2': url + '/temp/cup1_2.png', //白色杯子
  '12': url + '/temp/cup2.png', //黑色杯子
  '12_1': url + '/temp/cup2_1.png', //黑色杯子镂空
  '12_2': url + '/temp/cup2_2.png', //黑色杯子
}



module.exports = {
  formatTime: formatTime,
  changeCup: changeCup,
  changeImg: changeImg
}


// function imageUtil(e) {
//   var imageSize = {};
//   var originalWidth = e.detail.width;//图片原始宽  
//   var originalHeight = e.detail.height;//图片原始高  
//   var originalScale = originalHeight / originalWidth;//图片高宽比  
//   //获取屏幕宽高  
//   wx.getSystemInfo({
//     success: function (res) {
//       var windowWidth = res.windowWidth;
//       var windowHeight = res.windowHeight;
//       var windowscale = windowHeight / windowWidth;//屏幕高宽比  
//       imageSize.imageHeight = (windowWidth * originalHeight) / originalWidth;
//     }
//   })
//   //return imageSize;
// }

// module.exports = {
//   imageUtil: imageUtil
// }  





// import _Promise from 'bluebird';

// /**
//  * @param {Function} fun 接口
//  * @param {Object} options 接口参数
//  * @returns {Promise} Promise对象
//  */
// function Promise(fun, options) {
//   options = options || {};
//   return new _Promise((resolve, reject) => {
//     if (typeof fun !== 'function') {
//       reject();
//     }
//     options.success = resolve;
//     options.fail = reject;
//     fun(options);
//   });
// }

// /**
//  * 手势库
//  */
// function touchstart(e, _this) {
//   const t = e.touches[0],
//     startX = t.clientX,
//     startY = t.clientY;
//   _this.setData({
//     'gesture.startX': startX,
//     'gesture.startY': startY,
//     'gesture.out': true
//   })
// }
// /**
//  * 左滑
//  * @returns {boolean} 布尔值
//  */
// function isLeftSlide(e, _this) {
//   if (_this.data.gesture.out) {
//     const t = e.touches[0],
//       deltaX = t.clientX - _this.data.gesture.startX,
//       deltaY = t.clientY - _this.data.gesture.startY;

//     if (deltaX < -20 && deltaX > -40 && deltaY < 8 && deltaY > -8) {
//       _this.setData({
//         'gesture.out': false
//       })
//       return true;
//     } else {
//       return false;
//     }
//   }
// }
// /**
//  * 右滑
//  * @returns {boolean} 布尔值
//  */
// function isRightSlide(e, _this) {
//   if (_this.data.gesture.out) {
//     const t = e.touches[0],
//       deltaX = t.clientX - _this.data.gesture.startX,
//       deltaY = t.clientY - _this.data.gesture.startY;

//     if (deltaX > 20 && deltaX < 40 && deltaY < 8 && deltaY > -8) {
//       _this.setData({
//         'gesture.out': false
//       })
//       return true;
//     } else {
//       return false;
//     }
//   }
// }


// module.exports = {
//   Promise: Promise,
//   Gesture: {
//     touchstart: touchstart,
//     isLeftSlide: isLeftSlide,
//     isRightSlide: isRightSlide
//   }
// }